Name: ist-diagnose
Version: %{op5version}
Release: %{op5release}%{?dist}
License: ISC
Vendor: ITRS Group
Url: https://www.itrsgroup.com
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Summary: ITRS Support Tool - Diagnose
Prefix: %{_bindir}
Source: %name-%version.tar.gz
Requires: bash
Requires: op5-naemon
Requires: merlin-apps

%description
A system diagnostic tool to help troubleshooting.

%prep
%setup -q

%build

%install
mkdir --parents --mode 755 %{buildroot}%{prefix}
install -m 0755 usr/bin/%{name}.sh %{buildroot}%{prefix}/%{name}

%files
%defattr(755,root,root)
%{prefix}/%{name}

%clean
rm -rf %{buildroot}

%changelog
* Thu Dec 10 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.2.4 Integration with build system
* Wed Nov 25 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.2.3 Add more output as commencts on OK checks
- 0.2.2 Linting and refactoring
- 0.2.0 Add 3 checks for PHP values
- 0.2.1 Add 3 checks for MariaDB values
- 0.2.0 Add 3 checks for PHP values
* Tue Nov 24 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.1.3 Force running as 'monitor'
- 0.1.2 Recommend using 'asmonitor'
- 0.1.1 Run only as user 'monitor'
* Wed Nov 18 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.1.0 Initial rpm release
